public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in www-servers/nginx: nginx-1.1.19.ebuild ChangeLog
@ 2012-04-18 16:02 Jeremy Olexa (darkside)
  0 siblings, 0 replies; only message in thread
From: Jeremy Olexa (darkside) @ 2012-04-18 16:02 UTC (permalink / raw
  To: gentoo-commits

darkside    12/04/18 16:02:06

  Modified:             nginx-1.1.19.ebuild ChangeLog
  Log:
  Cosmetic changes to align with upstream better. Use Makefile to install. No revbump needed
  
  (Portage version: 2.1.10.56/cvs/Linux x86_64)

Revision  Changes    Path
1.3                  www-servers/nginx/nginx-1.1.19.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-servers/nginx/nginx-1.1.19.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-servers/nginx/nginx-1.1.19.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-servers/nginx/nginx-1.1.19.ebuild?r1=1.2&r2=1.3

Index: nginx-1.1.19.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/www-servers/nginx/nginx-1.1.19.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- nginx-1.1.19.ebuild	14 Apr 2012 09:20:53 -0000	1.2
+++ nginx-1.1.19.ebuild	18 Apr 2012 16:02:04 -0000	1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-servers/nginx/nginx-1.1.19.ebuild,v 1.2 2012/04/14 09:20:53 hollow Exp $
+# $Header: /var/cvsroot/gentoo-x86/www-servers/nginx/nginx-1.1.19.ebuild,v 1.3 2012/04/18 16:02:04 darkside Exp $
 
 EAPI="4"
 
@@ -172,7 +172,11 @@
 }
 
 src_prepare() {
-	sed -i 's/ make/ \\$(MAKE)/' "${S}"/auto/lib/perl/make
+	find auto/ -type f -print0 | xargs -0 sed -i 's:\&\& make:\&\& \\$(MAKE):' || die
+	# We have config protection, don't rename etc files
+	sed -i 's:.default::' auto/install || die
+	# remove useless files
+	sed -i -e '/koi-/d' -e '/win-/d' auto/install || die
 }
 
 src_configure() {
@@ -281,7 +285,6 @@
 
 	./configure \
 		--prefix="${EPREFIX}"/usr \
-		--sbin-path="${EPREFIX}"/usr/sbin/nginx \
 		--conf-path="${EPREFIX}"/etc/${PN}/${PN}.conf \
 		--error-log-path="${EPREFIX}"/var/log/${PN}/error_log \
 		--pid-path="${EPREFIX}"/var/run/${PN}.pid \
@@ -304,22 +307,17 @@
 }
 
 src_install() {
-	keepdir /var/log/${PN} /var/tmp/${PN}/{client,proxy,fastcgi,scgi,uwsgi}
-	keepdir /var/www/localhost/htdocs
-
-	dosbin objs/nginx
+	emake DESTDIR="${D}" install
+	cp "${FILESDIR}"/nginx.conf "${ED}"/etc/nginx/nginx.conf || die
 	newinitd "${FILESDIR}"/nginx.initd nginx
-
-	cp "${FILESDIR}"/nginx.conf conf/nginx.conf || die
-	rm conf/win-utf conf/koi-win conf/koi-utf
-
-	dodir /etc/${PN}
-	insinto /etc/${PN}
-	doins conf/*
-
 	doman man/nginx.8
 	dodoc CHANGES* README
 
+	# Keepdir because these are hardcoded above
+	keepdir /var/log/${PN} /var/tmp/${PN}/{client,proxy,fastcgi,scgi,uwsgi}
+	keepdir /var/www/localhost/htdocs
+	mv "${ED}"/usr/html "${ED}"/var/www/localhost/htdocs || die
+
 	# logrotate
 	insinto /etc/logrotate.d
 	newins "${FILESDIR}"/nginx.logrotate nginx



1.319                www-servers/nginx/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-servers/nginx/ChangeLog?rev=1.319&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-servers/nginx/ChangeLog?rev=1.319&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-servers/nginx/ChangeLog?r1=1.318&r2=1.319

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/www-servers/nginx/ChangeLog,v
retrieving revision 1.318
retrieving revision 1.319
diff -u -r1.318 -r1.319
--- ChangeLog	18 Apr 2012 14:10:07 -0000	1.318
+++ ChangeLog	18 Apr 2012 16:02:04 -0000	1.319
@@ -1,6 +1,10 @@
 # ChangeLog for www-servers/nginx
 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/www-servers/nginx/ChangeLog,v 1.318 2012/04/18 14:10:07 darkside Exp $
+# $Header: /var/cvsroot/gentoo-x86/www-servers/nginx/ChangeLog,v 1.319 2012/04/18 16:02:04 darkside Exp $
+
+  18 Apr 2012; Jeremy Olexa <darkside@gentoo.org> nginx-1.1.19.ebuild:
+  Cosmetic changes to align with upstream better. Use Makefile to install. No
+  revbump needed
 
   18 Apr 2012; Jeremy Olexa <darkside@gentoo.org> -nginx-1.0.14.ebuild,
   metadata.xml:






^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2012-04-18 16:02 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-04-18 16:02 [gentoo-commits] gentoo-x86 commit in www-servers/nginx: nginx-1.1.19.ebuild ChangeLog Jeremy Olexa (darkside)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox